Bug 57100 - V8IDBKeyCustom.cpp does not compile with INDEXED_DATABASE disabled
Summary: V8IDBKeyCustom.cpp does not compile with INDEXED_DATABASE disabled
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-25 06:25 PDT by Steve Block
Modified: 2011-03-29 02:09 PDT (History)
5 users (show)

See Also:


Attachments
Patch (1.80 KB, patch)
2011-03-28 09:52 PDT, Andrei Popescu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Block 2011-03-25 06:25:34 PDT
The namespace and ENABLE guard are closed in the wrong order.

See http://trac.webkit.org/browser/trunk/Source/WebCore/bindings/v8/custom/V8IDBKeyCustom.cpp
Comment 1 Andrei Popescu 2011-03-28 09:52:41 PDT
Created attachment 87159 [details]
Patch
Comment 2 Steve Block 2011-03-28 10:06:53 PDT
Comment on attachment 87159 [details]
Patch

r=me
Comment 3 Andrei Popescu 2011-03-28 11:18:54 PDT
Committed r82138: <http://trac.webkit.org/changeset/82138>

Steve, I can't close the bug for some reason. Do you mind if you do it? Thanks!
Comment 4 WebKit Review Bot 2011-03-28 12:33:20 PDT
http://trac.webkit.org/changeset/82138 might have broken SnowLeopard Intel Release (Tests)
Comment 5 Steve Block 2011-03-29 02:09:36 PDT
The bot seems happy now, and this is a compile-time only change, so I'm assuming this was fixed elsewhere.